Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1495264 - Missing icons in emacs
Summary: Missing icons in emacs
Keywords:
Status: CLOSED DUPLICATE of bug 1477745
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: emacs
Version: 7.4
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1551061
TreeView+ depends on / blocked
 
Reported: 2017-09-25 16:00 UTC by Stephen John Smoogen
Modified: 2021-03-11 15:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 09:01:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1477745 0 medium CLOSED Emacs GUI Toolbar icons missing 2021-03-11 15:31:38 UTC

Internal Links: 1477745

Description Stephen John Smoogen 2017-09-25 16:00:24 UTC
Description of problem:

Emacs in Red Hat Enterprise Linux 7.4 lost its icons on the 'ribbon' under the main menu when running in graphical mode. The icons are invisible for some reason as you can get random behavior by clicking on the 'empty' green ribbon below the text menu bar. 

Version-Release number of selected component (if applicable):

emacs-24.3-20.el7_4.x86_64

Additional info:

The problem was first found on CentOS, but I duplicated on a fresh RHEL-7.4 install system to confirm that it was not a downstream compile issue. 

From research done by Paul Johnson pauljohn32 at gmail.com the problem seems to be with legacy gtk3+ items lost in the rebase to newer GTK. The fix was taken from Ubuntu who dealt with this for their release.

https://lists.centos.org/pipermail/centos/2017-September/166432.html

Comment 2 Jan Synacek 2017-09-26 07:05:24 UTC
Nothing changed in Emacs. As you say, this is likely due to GTK rebase. That patch has 31 hunks out of which roughly half fails to apply.

https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3f4c6d52d345999938bc2d4a53246af4c61ef176

Comment 3 Stephen John Smoogen 2017-09-26 20:05:13 UTC
Yeah.. it applies cleanly to 24.5 versus 24.3 and it looks like 24.4 and 24.5 have various gtk3 code added in so I am not sure the patch itself can be applied without that code also. So my guess is that emacs may need to be bumped or a lot of backporting (to the point where 24.3 is 24.5) may be needed. 

Weeeeee. software is fun!

Comment 4 Jan Synacek 2018-01-11 11:42:18 UTC
Possibly a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1477745.

Comment 5 BugMasta 2018-03-16 04:00:51 UTC
Oh. I'm not authorised to access:
https://bugzilla.redhat.com/show_bug.cgi?id=1551061

Thanks very much RedHat, for making it impossible for me to understand what is responsible for holding up this fix.

Brilliant.

Comment 6 Joe Wright 2018-04-06 13:44:36 UTC
The referenced bug is used for internal tracking purposes, and has no relevant information in regards to progress of this bug.

Comment 7 John 2018-04-07 01:41:23 UTC
(In reply to Joe Wright from comment #6)
> The referenced bug is used for internal tracking purposes, and has no
> relevant information in regards to progress of this bug.

Sorry, WHAT?

Are you insane?

Do you not understand that listing a bug as a blocker indicates that this bug here cannot be resolved until the blocking bug is first resolved??

It therefore discourages people from making any attempt to actually resolve this bug. 

AND IF PEOPLE CANNOT EVEN SEE THE CONTENTS OF THE BUG THAT BLOCKS THIS ONE< HOW MUCH PROGRESS DO YOU THINK IS GOING TO BE MADE EH?

Open up bug 1551061 so we can see what is in it, and remove it from the list of blockers. It should NOT be listed there.

Comment 8 Filip Krska 2018-04-09 07:53:28 UTC
Hi John, BugMasta, please don't worry. It's the other way round - this bug blocks the internal tracker/list. Bugs that would block this one would be listed in "Depends On" field, which is empty in our case.

Comment 9 Jan Synacek 2018-04-09 09:01:53 UTC
(In reply to Jan Synacek from comment #4)
> Possibly a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1477745.

It actually is a duplicate, closing this one.

(In reply to BugMasta from comment #5)
> Oh. I'm not authorised to access:
> https://bugzilla.redhat.com/show_bug.cgi?id=1551061

It's a tracker bug, you don't have to worry about it. You have already expressed yourself in https://bugzilla.redhat.com/show_bug.cgi?id=1477745#c20, which is a real duplicate of this bug.

(In reply to John from comment #7)
> Are you insane?

No, but thanks for asking. As mentioned above, this issue is tracked and scheduled to fix in 7.6 in bug 1477745.

*** This bug has been marked as a duplicate of bug 1477745 ***

Comment 10 John 2018-04-09 11:28:55 UTC
(In reply to Filip Krska from comment #8)
> Hi John, BugMasta, please don't worry. It's the other way round - this bug
> blocks the internal tracker/list. Bugs that would block this one would be
> listed in "Depends On" field, which is empty in our case.

Woops. I humbly stand corrected.

Sorry for my little dummy spit there.

And, as it looks like there has been some progress and there might be a fix released soon, let me take this opportunity to offer my humble thanks to everyone who has helped fix this bug. Let's hope it gets released asap.

Comment 11 John 2018-04-09 11:30:16 UTC
(In reply to Jan Synacek from comment #9)

Also, extra apologies to Jan. Much soz.


Note You need to log in before you can comment on or make changes to this bug.